Errors in attansic L2 "atl2"

Bug #147639 reported by Jayson Reis on 2007-10-01
56
This bug affects 7 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Jayson Reis
Nominated for Intrepid by Jayson Reis
linux-ubuntu-modules-2.6.22 (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Jayson Reis
Nominated for Intrepid by Jayson Reis
linux-ubuntu-modules-2.6.24 (Ubuntu)
Medium
Unassigned
Nominated for Hardy by Jayson Reis
Nominated for Intrepid by Jayson Reis

Bug Description

Hello people, I have a motherboard with onboard Attansic L2 Gibagit and sometimes i have problems with internet.
Ex: When I try to connect a website i receive this message: "Name or service not know", but all the websites works fine in another pc. In my dmesg i have a lot of this message:
[114499.709612] wlan0: txs packet size do not coinsist with txd txd_:0xb46f7f97, txs_:0x00010042!
[114499.709618] txd read ptr: 0x1dd4
[114499.709620] txs-behind:0x000105ae
[114499.709623] txs-before:0x000105ea
[114506.620743] NETDEV WATCHDOG: wlan0: transmit timed out
[114508.169424] ATL2: wlan0 NIC Link is Up<100 Mbps Full Duplex>
[114508.171787] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[114523.082506] wlan0: no IPv6 routers present

My attansic driver is detected with "wlan0" and no "eth0". I think that is because I used ndiswrapper.

To connect at website or other service i writed a script in bash:

#!/bin/sh
for i in `seq 1 1000`
do
elinks -dump $1
done

And then, after some tries the service connect.

Jayson Reis (jaysonsantos2003) wrote :

Sorry about the english.

Andreas Gnau (rondom) wrote :

Is this on feisty or on gutsy? If on feisty try using the latest version of ndiswrapper.
If on gutsy are you sure the atl2-driver doesn't support your card? If using ndiswrapper on gutsy also try the latest version, too.

Hi,

I'm experiencing a similar issue. The network works most of the time but once in a while (1-3 times a day) the driver seems unable to send a packet and the watchdog kicks in. I have attached a similar piece of logging as the one above.

- Ubuntu 7.10 (installed recently)
- Core 2 Duo running 32-bit (may be a multithreading issue?)
- Asus P5GC-MX mainboard
- Not using ndiswrapper - just worked out of the box

If you need more information, let me know.

Andreas Gnau (rondom) wrote :

Is this bug still present in hardy?

Thilo Mende (ubuntu-thilomende) wrote :

We have a similar problem using Gutsy (2.6.22-14-generic #1 SMP Tue Feb 12 07:42:25 UTC 2008 i686 GNU/Linux):

lspci | grep ether
06:00.0 Ethernet controller: Intel Corporation 80003ES2LAN Gigabit Ethernet Controller (Copper) (rev 01)
06:00.1 Ethernet controller: Intel Corporation 80003ES2LAN Gigabit Ethernet Controller (Copper) (rev 01)

dmesg
[1290132.238214] eth0: txs packet size do not coinsist with txd txd_:0x2211c145, txs_:0x000105ed!
[1290132.238218] txd read ptr: 0x12cc
[1290132.238220] txs-behind:0x000105ea
[1290132.238223] txs-before:0x000501b3
[1290138.458438] NETDEV WATCHDOG: eth0: transmit timed out
[1290139.988010] ATL2: eth0 NIC Link is Up<100 Mbps Full Duplex>

Any ideas?

Thilo Mende (ubuntu-thilomende) wrote :

Sorry, the lspic-output in my previous post is wrong:

 lspci |grep Ether
02:00.0 Ethernet controller: Attansic Technology Corp. L2 100 Mbit Ethernet Adapter (rev a0)

is correct

Andreas Gnau (rondom) wrote :

Could someone please test this in hardy?

Thilo Mende (ubuntu-thilomende) wrote :

Yes, still exists in hardy kernel

# uname -a
Linux stw7 2.6.24-12-generic #1 SMP Wed Mar 12 23:01:54 UTC 2008 i686 GNU/Linux

[ 428.049263] txd read ptr: 0x1124
[ 428.049265] txs-behind:0x8005006c
[ 428.049267] txs-before:0x00010422
[ 428.049270] eth0: txs packet size do not coinsist with txd txd_:0x70747468, txs_:0x0005006c!
[ 428.049273] txd read ptr: 0x1148
[ 428.049275] txs-behind:0x00010042
[ 428.049277] txs-before:0x20000676
[ 436.352842] NETDEV WATCHDOG: eth0: transmit timed out
[ 438.000365] ATL2: eth0 NIC Link is Up<100 Mbps Full Duplex>

Matteo Sasso (matteo-sasso) wrote :

I'm experiencing this issue and also bug #199144. I think it could be interesting to find out if they are related. Please check it out and run the benchmark (ab) from another machine as instructed. Thanks.

Glen (shadow-qgl) wrote :

Same thing here on hardy.

[75488.202449] eth0: txs packet size do not coinsist with txd txd_:0xfc9088a0, txs_:0x000105ea!
[75488.202452] txd read ptr: 0xb20
[75488.202454] txs-behind:0x000105ea
[75488.202456] txs-before:0x000105ea
[75488.805033] eth0: no IPv6 routers present
[75495.272100] NETDEV WATCHDOG: eth0: transmit timed out
[75496.887812] ATL2: eth0 NIC Link is Up<100 Mbps Full Duplex>
[75496.891958] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[75511.523493] eth0: no IPv6 routers present

Jayson Reis (jaysonsantos2003) wrote :

That continue in hardy with 2.6.27-17-generic
[30679.474045] eth0: txs packet size do not coinsist with txd txd_:0xc01c43a4, txs_:0x000504a5!
[30679.474052] txd read ptr: 0x15c0
[30679.474054] txs-behind:0x000105ea
[30679.474056] txs-before:0x00050073
[30682.924962] eth0: txs packet size do not coinsist with txd txd_:0x32e9c178, txs_:0x00050514!
[30682.924970] txd read ptr: 0x1968
[30682.924972] txs-behind:0x000104c5
[30682.924974] txs-before:0x000504a5
[30682.925365] eth0: txs packet size do not coinsist with txd txd_:0x216c613d, txs_:0x000501f8!
[30682.925371] txd read ptr: 0x1ae4
[30682.925372] txs-behind:0x8001018c
[30682.925374] txs-before:0x00050514
[30682.925376] eth0: txs packet size do not coinsist with txd txd_:0xd803b738, txs_:0x0001018c!
[30682.925378] txd read ptr: 0x1c28
[30682.925380] txs-behind:0x800100fd
[30682.925381] txs-before:0x000501f8
[30682.925383] eth0: txs packet size do not coinsist with txd txd_:0x9d8e0e72, txs_:0x000100fd!
[30682.925386] txd read ptr: 0x364
[30682.925387] txs-behind:0x000105ea
[30682.925389] txs-before:0x0001018c

I have thousand of that lines.
I think that broke my internet connection some times like in ssh or vnc causing lag.
But trying from another pc the internet connection is ok.

Matteo Sasso (matteo-sasso) wrote :

Since so many people reported this bug on Hardy (me too), I believe it is more accurate to give this bug a "Confirmed" status.

Changed in linux-ubuntu-modules-2.6.24:
status: New → Confirmed
keathmilligan (keath) wrote :

Another confirmation under Hardy on Asus P5GC-MX w/straight network config. Absolutely killing VNC sessions.

more reports:

http://ubuntuforums.org/archive/index.php/t-571211.html

Tim Gardner (timg-tpi) wrote :

Please try linux-ubuntu-modules-2.6.24_2.6.24-19.28ubuntu1 or higher from my PPA when its done building. I've backported atlx from 2.6.26-rc5 which should supersede the atl1.ko from the 2.6.24 linux-image package as well as the atl2.ko from previous versions of LUM.

Changed in linux-ubuntu-modules-2.6.24:
assignee: nobody → timg-tpi
importance: Undecided → Medium
status: Confirmed → In Progress
Tim Gardner (timg-tpi) wrote :

Uh, my PPA is at http://ppa.launchpad.net/timg-tpi/ubuntu. You'll have to enable -proposed, then download and install the package for your architecture.

Jayson Reis (jaysonsantos2003) wrote :

Hi Tim, I only need put that address in my sources.list ?

Tim Gardner (timg-tpi) wrote :

Jayson - Its probably easier to just get the specific package and install it (after you've upgraded to -19). For example,

wget http://launchpadlibrarian.net/15177895/linux-ubuntu-modules-2.6.24-19-generic_2.6.24-19.28ubuntu1_i386.deb
sudo dpkg -i linux-ubuntu-modules-2.6.24-19-generic_2.6.24-19.28ubuntu1_i386.deb

Make sure you get the correct architecture package, i.e., i386 v.s. amd64.

Jayson Reis (jaysonsantos2003) wrote :

Hello Tim,
I have tried that kernel version and the network don't work.
I have tried modprobe atl1 and continues without load the driver.
I have tried modprobe atl2 too.
That is right ?
Best Regards
Jayson Reis

Tim Gardner (timg-tpi) wrote :

Please attach (do not paste) these files:

lspci -vvnn > lspci.txt
dmesg > dmesg.txt

Jayson Reis (jaysonsantos2003) wrote :
Jayson Reis (jaysonsantos2003) wrote :
Tim Gardner (timg-tpi) wrote :

Your ethernet appears to be working, or at least it achieves link. What is suspicious in the dmesg log are several segfaults:

[ 153.541692] scim-bridge[5847]: segfault at 53454741 eip b7e97443 esp bf907e90 error 4

Can you boot the Live CDROM and see if you have network connectivity?

Jayson Reis (jaysonsantos2003) wrote :

Now that error don't appera but. Some times i receive a lot of that messages.
At the night I will try.

hopelessone (shanehill) wrote :

I too experience this AMD64 8.04

Jun 14 19:07:11 redox-pc kernel: [ 2508.741163] eth0: txs packet size do not coinsist with txd txd_:0x000005ea, txs_:0x000501a1!
Jun 14 19:07:11 redox-pc kernel: [ 2508.741166] txd read ptr: 0xf98
Jun 14 19:07:11 redox-pc kernel: [ 2508.741167] txs-behind:0x8001045a
Jun 14 19:07:11 redox-pc kernel: [ 2508.741169] txs-before:0x00010347

Goes on all day...

hopelessone (shanehill) wrote :
hopelessone (shanehill) wrote :

I found this info @ RedHat:

http://people.redhat.com/csnook/atl2/

Maybe this will help?

Jayson Reis (jaysonsantos2003) wrote :

I have compiled that last version and the errors continues.
Now the problems is bigger, the NetworkManager kill my connection and re-run the dhcp client.

Jayson Reis (jaysonsantos2003) wrote :

On Intrepid still with errors.
A lot of this lines eth0: txs packet size do not coinsist with txd txd_:0xae41371a, txs_:0x0001024e!

velorider (velorider) wrote :

I experienced similar error messages in the logs on hardy. I resolved the issue by downloading the latest driver from http://people.redhat.com/csnook/atl2/ and compiling the module. You must have the linux-header package for your kernel installed.

1. untar
2. cd <src>
3. make
4. Backup original atl2.ko module
5. locate old atl2.ko and replace
6. depmod -ae
7 reboot

INFO:

uname -a
Linux poseidon 2.6.24-19-generic #1 SMP Wed Aug 20 22:56:21 UTC 2008 i686 GNU/Linux

lspci -v
02:00.0 Ethernet controller: Attansic Technology Corp. L2 100 Mbit Ethernet Adapter (rev a0)
        Subsystem: ASUSTeK Computer Inc. Unknown device 8233
        Flags: bus master, fast devsel, latency 0, IRQ 221
        Memory at dffc0000 (64-bit, non-prefetchable) [size=256K]
        Expansion ROM at dffa0000 [disabled] [size=128K]
        Capabilities: <access denied>

Oct 20 16:34:33 poseidon kernel: [65003.841394] eth1: txs packet size do not coinsist with txd txd_:0x000004be, txs_:0x000100fe!
Oct 20 16:34:33 poseidon kernel: [65003.841402] txd read ptr: 0xb04
Oct 20 16:34:33 poseidon kernel: [65003.841404] txs-behind:0x80010042
Oct 20 16:34:33 poseidon kernel: [65003.841406] txs-before:0x000100fe
Oct 20 16:34:33 poseidon kernel: [65003.841408] eth1: txs packet size do not coinsist with txd txd_:0x000005ea, txs_:0x00010042!
Oct 20 16:34:33 poseidon kernel: [65003.841412] txd read ptr: 0xfc8
Oct 20 16:34:33 poseidon kernel: [65003.841413] txs-behind:0x800100fe
Oct 20 16:34:33 poseidon kernel: [65003.841415] txs-before:0x000100fe
Oct 20 16:34:33 poseidon kernel: [65003.841418] eth1: txs packet size do not coinsist with txd txd_:0x000005ea, txs_:0x000100fe!
Oct 20 16:34:33 poseidon kernel: [65003.841421] txd read ptr: 0x15b8
Oct 20 16:34:33 poseidon kernel: [65003.841423] txs-behind:0x800105ea
Oct 20 16:34:33 poseidon kernel: [65003.841425] txs-before:0x00010042

Andrew Tipton (kiwidrew) wrote :

I've recently upgraded to the Intrepid beta (from Gutsy), and it seems like this error has only started showing up after the upgrade. So I can confirm that this bug is present in linux-image-2.6.27-5-generic. Rather annoying, because the link's state goes from up to down to up again within 1-2 seconds, but NetworkManager sees this and throws up a bunch of info message bubbles.

I could also reproduce this issue with Ubuntu 8.10 2.6.27 server kernel. Apparently it uses some older version of the 2.0.x branch of the atl2 drivers (As far I remember 2.0.3).

One "solution" to this issue would be upgrading to the 2.6.28 kernel which uses a more recent version of the atl2 driver (2.2.3). There no debian packages available for that one yet - make_kpkg got me a nice build though with no issues so far. Performance is not that great as it was before (2.2.3 ~7,5 mb/s, 2.0.3: ~11mb/s read/write speeds using samba) but at least it won't crash every now and then.

pulsar@wallet:~$ sudo lshw -C Network
  *-network
       description: Ethernet interface
       product: L2 100 Mbit Ethernet Adapter
       vendor: Attansic Technology Corp.
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: eth0
       version: a0
       serial: 00:1f:c6:86:6a:7e
       size: 100MB/s
       capacity: 100MB/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vpd bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=atl2 driverversion=2.2.3 duplex=full firmware=L2 ip=192.168.1.100 latency=0 link=yes module=atl2 multicast=yes port=twisted pair speed=100MB/s
pulsar@wallet:~$ uname -a
Linux wallet 2.6.28 #1 SMP Tue Jan 6 17:00:10 CET 2009 i686 GNU/Linux

Stephan7 (sshsteph007) wrote :

Also I can confirm this is still present in ubuntu 8.10 2.6.27-11-server.

The motherboard is a "elitegroup 945GCT-D", with build-in Intel atom CPU and network controller.
As I am running it as a media server, I noticed it introduced hickups while watching movies.

% dmesg
[ 8782.347748] eth0: txs packet size do not coinsist with txd txd_:0x000000ce, t
xs_:0x00010042!
[ 8782.347762] txd read ptr: 0xf78
[ 8782.347766] txs-behind:0x80010042
[ 8782.347770] txs-before:0x00010042
etc..
[ 8796.040895] atl2: eth0 NIC Link is Up<100 Mbps Full Duplex>
[76092.043275] atl2: eth0 NIC Link is Down
etc..

% lshw -C Network
  *-network
       description: Ethernet interface
       product: L2 100 Mbit Ethernet Adapter
       vendor: Attansic Technology Corp.
       physical id: 0
       bus info: pci@0000:01:00.0
       logical name: eth0
       version: a0
       serial: 00:21:97:8a:2f:98
       size: 100MB/s
       capacity: 100MB/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vpd bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=atl2 driverversion=2.0.4 duplex=full firmware=L2 ip=192.168.1.2 latency=0 link=yes module=atl2 multicast=yes port=twisted pair speed=100MB/s

Stephan7 (sshsteph007) wrote :

As a workaround.. just installed ubuntu 9.04 alpha4 which solved the problem.

% sudo lshw -C Network
  *-network
       description: Ethernet interface
       product: L2 100 Mbit Ethernet Adapter
       vendor: Attansic Technology Corp.
       physical id: 0
       bus info: pci@0000:01:00.0
       logical name: eth0
       version: a0
       serial: 00:21:97:8a:2f:98
       size: 100MB/s
       capacity: 100MB/s
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vpd bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=atl2 driverversion=2.2.3 duplex=full firmware=L2 ip=192.168.1.2 latency=0 link=yes module=atl2 multicast=yes port=twisted pair speed=100MB/s
  *-network
       description: Ethernet interface
       physical id: 1
       logical name: virbr0
       serial: 36:23:75:ba:cb:33
       capabilities: ethernet physical
       configuration: broadcast=yes driver=bridge driverversion=2.3 firmware=N/A ip=192.168.122.1 link=yes multicast=yes

kintoandar (kintoandar-gmail) wrote :

I've the same problem with:
02:00.0 Ethernet controller: Attansic Technology Corp. L2 100 Mbit Ethernet Adapter (rev a0)

With the log:

Mar 18 09:58:36 gambit kernel: [285899.456861] eth0: txs packet size do not coinsist with txd txd_:0x43040a08, txs_:0x00010056!
Mar 18 09:58:36 gambit kernel: [285899.456868] txd read ptr: 0x2b4
Mar 18 09:58:36 gambit kernel: [285899.456870] txs-behind:0x00010442
Mar 18 09:58:36 gambit kernel: [285899.456872] txs-before:0x00010056

Constantly appearing, some momentary lost of connection happens some times.

gambit:~# cat /etc/issue
Ubuntu 8.04.2 \n \l

gambit:~# uname -ra
Linux gambit 2.6.24-23-generic #1 SMP Mon Jan 26 00:13:11 UTC 2009 i686 GNU/Linux

Changed in linux-ubuntu-modules-2.6.22 (Ubuntu):
status: New → Confirmed
Sergio Zanchetta (primes2h) wrote :

The 18 month support period for Gutsy Gibbon 7.10 has reached its end of life -
http://www.ubuntu.com/news/ubuntu-7.10-eol . As a result, we are closing the
linux-backports-modules-2.6.22 task. It would be helpful if you could test the
new Jaunty Jackalope 9.04 release and confirm if this issue remains -
http://www.ubuntu.com/getubuntu/releasenotes/904overview. If the issue still exists with the Jaunty
release, please update this report by changing the Status of the "linux (Ubuntu)"
task from "Incomplete" to "New". Thanks in advance.

Changed in linux-ubuntu-modules-2.6.22 (Ubuntu):
status: Confirmed → Won't Fix
Changed in linux (Ubuntu):
status: New → Incomplete
Sergio Zanchetta (primes2h) wrote :

Sorry, I meant linux-ubuntu-modules-2.6.22 task.

kail (teodor-terziev) wrote :

Same here:
02:00.0 Ethernet controller: Attansic Technology Corp. L2 100 Mbit Ethernet Adapter (rev a0)

Log:

eth0: txs packet size do not coinsist with txd txd_:0x00000036, txs_:0x000105ea!
txd read ptr: 0x670
txs-behind:0x00010036
txs-before:0x000105ea
eth0: txs packet size do not coinsist with txd txd_:0x00000036, txs_:0x000105ea!
txd read ptr: 0x6ac
txs-behind:0x00010036
txs-before:0x000105ea
atl2: eth0 NIC Link is Up<100 Mbps Full Duplex>

# cat /etc/issue
Ubuntu 9.04 \n \l

linuxbass (consultant) wrote :

Same issue, seen while streaming mpg files from a USB connected external drive connected to an eeepc via samba to a windows box.

system specifics:

Linux 2.6.27-11-eeepc #3 SMP Sat Feb 7 14:18:54 MST 2009 i686 GNU/Linux

03:00.0 Ethernet controller: Attansic Technology Corp. L2 100 Mbit Ethernet Adapter (rev a0

Ubuntu 8.10 \n \l

partial dmesg:

[ 521.255839] eth0: txs packet size do not coinsist with txd txd_:0x417ecb2a, txs_:0x000105ea!
[ 521.255847] txd read ptr: 0x1b60
[ 521.255852] txs-behind:0x800105ea
[ 521.255857] txs-before:0x000105ea
[ 521.255864] eth0: txs packet size do not coinsist with txd txd_:0x25c78215, txs_:0x000105ea!
[ 521.255871] txd read ptr: 0x1e90
[ 521.255876] txs-behind:0x000103dd
[ 521.255881] txs-before:0x000105ea
[ 521.256224] eth0: txs packet size do not coinsist with txd txd_:0x1dee4517, txs_:0x000105ea!
[ 521.256232] txd read ptr: 0xac
[ 521.256237] txs-behind:0x000105ea
[ 521.256242] txs-before:0x000105ea
[ 521.256636] eth0: txs packet size do not coinsist with txd txd_:0x73227a2e, txs_:0x000105ea!
[ 521.256644] txd read ptr: 0x5c8
[ 521.256649] txs-behind:0x000105ea
[ 521.256654] txs-before:0x000105ea
[ 527.016348] atl2: eth0 NIC Link is Up<100 Mbps Full Duplex>

issue manifests in network connectivity drop for several seconds then restore with dmesg output corresponding to occurence.

kidalabama (n-alp) wrote :

connectivity drop for several seconds then restore. connectivity drop for several seconds then restore.
lspci
02:00.0 Ethernet controller: Attansic Technology Corp. L2 100 Mbit Ethernet Adapter (rev a0)

kidalabama (n-alp) wrote :
Download full text (15.5 KiB)

# dmidecode 2.9
SMBIOS 2.4 present.
55 structures occupying 1835 bytes.
Table at 0x000F0500.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
 Vendor: American Megatrends Inc.
 Version: 0413
 Release Date: 03/13/2009
 Address: 0xF0000
 Runtime Size: 64 kB
 ROM Size: 512 kB
 Characteristics:
  ISA is supported
  PCI is supported
  PNP is supported
  APM is supported
  BIOS is upgradeable
  BIOS shadowing is allowed
  ESCD support is available
  Boot from CD is supported
  Selectable boot is supported
  BIOS ROM is socketed
  EDD is supported
  5.25"/1.2 MB floppy services are supported (int 13h)
  3.5"/720 KB floppy services are supported (int 13h)
  3.5"/2.88 MB floppy services are supported (int 13h)
  Print screen service is supported (int 5h)
  8042 keyboard services are supported (int 9h)
  Serial services are supported (int 14h)
  Printer services are supported (int 17h)
  CGA/mono video services are supported (int 10h)
  ACPI is supported
  USB legacy is supported
  LS-120 boot is supported
  ATAPI Zip drive boot is supported
  BIOS boot specification is supported
  Targeted content distribution is supported
 BIOS Revision: 8.10

Handle 0x0001, DMI type 1, 27 bytes
System Information
 Manufacturer: System manufacturer
 Product Name: System Product Name
 Version: Rev 1.xx
 Serial Number: SYS-1234567890
 UUID: 00ADE9AA-8DFE-D511-A9B4-001E8C69A2A0
 Wake-up Type: Power Switch
 SKU Number: To Be Filled By O.E.M.
 Family: To Be Filled By O.E.M.

Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
 Manufacturer: ASUSTeK Computer INC.
 Product Name: P5GC-MX/1333
 Version: Rev x.xx
 Serial Number: MB-1234567890
 Asset Tag: To Be Filled By O.E.M.
 Features:
  Board is a hosting board
  Board is replaceable
 Location In Chassis: To Be Filled By O.E.M.
 Chassis Handle: 0x0003
 Type: Motherboard
 Contained Object Handles: 0

Handle 0x0003, DMI type 3, 21 bytes
Chassis Information
 Manufacturer: ASUSTek Computer INC.
 Type: Desktop
 Lock: Present
 Version: Rev 1.xx
 Serial Number: Ch-12345678
 Asset Tag: Asset-1234567890
 Boot-up State: Safe
 Power Supply State: Safe
 Thermal State: Safe
 Security Status: None
 OEM Information: 0x00000002
 Height: Unspecified
 Number Of Power Cords: 1
 Contained Elements: 0

Handle 0x0004, DMI type 4, 35 bytes
Processor Information
 Socket Designation: LGA 775
 Type: Central Processor
 Family: Other
 Manufacturer: Intel
 ID: FD 06 00 00 FF FB EB BF
 Version: Intel(R) Celeron(R) CPU E1200 @ 1.60GHz
 Voltage: 1.3 V
 External Clock: 200 MHz
 Max Speed: 3800 MHz
 Current Speed: 1600 MHz
 Status: Populated, Enabled
 Upgrade: Socket LGA775
 L1 Cache Handle: 0x0005
 L2 Cache Handle: 0x0006
 L3 Cache Handle: 0x0007
 Serial Number: To Be Filled By O.E.M.
 Asset Tag: To Be Filled By O.E.M.
 Part Number: To Be Filled By O.E.M.

Handle 0x0005, DMI type 7, 19 bytes
Cache Information
 Socket Designation: L1-Cache
 Configuration: Enabled, Not Socketed, Level 1
 Operational Mode: Write Back
 Location: Internal
 Installed Size: 64 KB
 Maximum Size: 64 KB
 Supported SRAM Types:
  Other
 Installed SRAM Type: Other
 Speed: Unknown
 Error Correction Type: Parity
 System Type: Data
 Associativity: 8...

lak (matt-kowalczyk) wrote :
Download full text (11.5 KiB)

Same problem, momentary loss of connectivity then it is restored,

Linux atlas 2.6.24-27-generic #1 SMP Fri Mar 12 01:10:31 UTC 2010 i686 GNU/Linux

Distributor ID: Ubuntu
Description: Ubuntu 8.04.4 LTS
Release: 8.04
Codename: hardy

[4565253.166288] NETDEV WATCHDOG: eth0: transmit timed out
[4565254.823508] ATL2: eth0 NIC Link is Up<100 Mbps Full Duplex>
[4565259.967116] eth0: txs packet size do not coinsist with txd txd_:0x00000500, txs_:0x000105ea!
[4565259.967129] txd read ptr: 0x1ab0
[4565259.967134] txs-behind:0x800105ea
[4565259.967137] txs-before:0x000105ea
[4565259.967142] eth0: txs packet size do not coinsist with txd txd_:0x54480064, txs_:0x000105ea!
[4565259.967148] txd read ptr: 0x1fb4
[4565259.967151] txs-behind:0x000105ea
[4565259.967155] txs-before:0x000105ea
[4565265.154805] NETDEV WATCHDOG: eth0: transmit timed out
[4565266.919630] ATL2: eth0 NIC Link is Up<100 Mbps Full Duplex>
[4565268.576659] eth0: txs packet size do not coinsist with txd txd_:0x00000000, txs_:0x000105ea!
[4565268.576672] txd read ptr: 0x1ed4
[4565268.576676] txs-behind:0x800105ea
[4565268.576680] txs-before:0x000105ea
[4565268.576685] eth0: txs packet size do not coinsist with txd txd_:0x0000050d, txs_:0x00010020!
[4565268.576690] txd read ptr: 0x4c8
[4565268.576694] txs-behind:0xa0000665
[4565268.576698] txs-before:0x000105ea
[4565268.576703] eth0: txs packet size do not coinsist with txd txd_:0x000005ea, txs_:0x20000665!
[4565268.576709] txd read ptr: 0x9dc
[4565268.576713] txs-behind:0x80010020
[4565268.576717] txs-before:0x00010020
[4565268.576722] eth0: txs packet size do not coinsist with txd txd_:0x000005ea, txs_:0x00010020!
[4565268.576728] txd read ptr: 0xfcc
[4565268.576733] txs-behind:0xa000062f
[4565268.576737] txs-before:0x20000665
[4565268.576742] eth0: txs packet size do not coinsist with txd txd_:0x0000050d, txs_:0x2000062f!
[4565268.576749] txd read ptr: 0x15bc
[4565268.576753] txs-behind:0x000105ea
[4565268.576757] txs-before:0x00010020
[4565268.831460] eth0: txs packet size do not coinsist with txd txd_:0x000005ea, txs_:0x20000772!
[4565268.831470] txd read ptr: 0x1ad0
[4565268.831474] txs-behind:0x000105ea
[4565268.831477] txs-before:0x2000062f
[4565269.342883] eth0: txs packet size do not coinsist with txd txd_:0x00000042, txs_:0x0005026b!
[4565269.342894] txd read ptr: 0xc0
[4565269.342899] txs-behind:0x000105ea
[4565269.342903] txs-before:0x20000772
[4565269.343290] eth0: txs packet size do not coinsist with txd txd_:0x000005ea, txs_:0x00050444!
[4565269.343297] txd read ptr: 0x108
[4565269.343301] txs-behind:0x000105ea
[4565269.343306] txs-before:0x0005026b
[4565270.365999] eth0: txs packet size do not coinsist with txd txd_:0x00000042, txs_:0x20000714!
[4565270.366011] txd read ptr: 0x6f8
[4565270.366014] txs-behind:0x80010005
[4565270.366017] txs-before:0x00050444
[4565270.366021] eth0: txs packet size do not coinsist with txd txd_:0x00000042, txs_:0x00010005!
[4565270.366026] txd read ptr: 0x740
[4565270.366028] txs-behind:0x000105ea
[4565270.366031] txs-before:0x20000714
[4565272.411991] eth0: txs packet size do not coinsist with txd txd_:0x00000042, txs_:0x0001045a!
[4565272.412002] txd read ptr: 0x788
[45652...

Jayson Reis (jaysonsantos2003) wrote :

I don't if it could be related, I changed my power supply for a stronger one and the problem stopped to happen. Have you tried it ?

Tim Gardner (timg-tpi) on 2010-08-27
Changed in linux-ubuntu-modules-2.6.24 (Ubuntu):
assignee: Tim Gardner (timg-tpi) → nobody
lak (matt-kowalczyk) wrote :

I'm not sure whether people had success with the attached patch. I was able to find a file online titled, atl2-2.0.4.tar.bz2 that appears to have identical source to the attached patch and I still had troubles.

I was able to find atl2-2.0.5.tar.bz2 that FIXED the problem! here is the patch difference between atl2-2.0.4.tar.bz2 and 2.0.5, a single file, atl2_main.c was modified,

51c51
< #define ATL2_DRV_VERSION "2.0.4"
---
> #define ATL2_DRV_VERSION "2.0.5"
921c921,922
< if (txs_unused < 1 || skb->len > txbuf_unused) {
---
> if (skb->len + sizeof(tx_pkt_header_t) + 4 > txbuf_unused ||
> txs_unused < 1 ) {

Stefan Bader (smb) wrote :

Based on lak's comment (comment #44) and the fact that people indeed find the issue fixed with 2.6.28 (which was when the driver got officially added to the kernel tree and the line in question has the change already applied) I am marking the task against the linux kernel package itself as invalid.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
Stefan Bader (smb) wrote :

Now about having the change in the Hardy modules package: are there still people around running Hardy and that would be able to verify a change being made to that package?

Changed in linux-ubuntu-modules-2.6.24 (Ubuntu):
status: In Progress → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux-ubuntu-modules-2.6.24 (Ubuntu) because there has been no activity for 60 days.]

Changed in linux-ubuntu-modules-2.6.24 (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers